## Bsoft program

# bxb

### Usage: bxb [options] in1.star [in2.star ...]

Extracting a part of a density map and building a new map based on a model.
Component orientational and positional refinement can be done as: 1. random modifications over the specified iterations, 2. a contracting grid search when the steps and accuracy are specified.

### Actions:

-setviews local | Calculate views for components. Modes: origin: current origin,
| com: center-of-mass origin, map: map origin, local: neigbor plane.
-invert | Invert views for selected components.
-linklength 58.4 | Reference link length to generate links (angstrom, default 1).
-type component | Type of element: component (default) or link.
-extract 80,50,30 | Extract a part of the density with the given size.
-build 200,250,150 | Build a new map of the given size.
-refine template.map | Refine the positions by cross-correlation.
-average 2 | Average extracted densities: averages per type (use with -extract).
-componenttype A,Ver | Names to assign to component types in the template file.

### Selections:

-all | Reset selection to all models and components before other selections.
-select #Mod1@14 | Select models and components.
-linkselect 2 | Link selection for building a new map (first = 1, default all).
-fom 0.25 | Select: FOM cutoff.

### Parameters:

-verbose 7 | Verbose output.
-datatype u | Force writing of a new data type.

### Parameters for building:

-sampling 1.5,1.5,1.5 | Sampling (A/pixel; a single value can be given).
-origin 0.8,-10,15.7 | Set the origin for extracted or built map
| (origins for extract and build cannot be used together).
-weigh | Weigh by contributions when building a new map (default not).
| Common refinement parameters:
-resolution 4.5,130 | Resolution range for cross-correlation (default 0 - 1e6 angstrom).
-shift 2.3 | Maximum shift allowed per iteration (angstrom, default 10% map width).
-viewangle 1.4 | Maximum rotation angle of view vector allowed per iteration (default 0 degrees).
-rotationangle 3.5 | Maximum rotation angle around view vector allowed per iteration (default 0 degrees).
-normal | Flag to shift only along the component view vector.
-lateral | Flag to shift only perpendicular to the component view vector.

### Parameters for random refinement:

-iterations 80 | Maximum number of refining iterations (default 0 - only positional refinement).

### Parameters for grid refinement:

-viewstep 2.5 | Angular steps in 2 view directions (default 0 degrees).
-rotationstep 1.3 | Angular step around view (default 0 degrees).
-accuracy 0.7 | Angular refinement accuracy (default 0.5 degrees).

### Output image parameters:

-rescale -0.1,5.2 | Rescale data to average and standard deviation.

### Input:

-parameters param.star | Input parameter file.
-map file.map | Input map file.
-mask mask.mrc | Real space mask to be applied to template and subvolumes.
-Mask mask.mrc | Mask for cross-correlation during refinement.

### Output:

-output file.star | Output model parameter file.
-construct file.pif | Constructed map file.
-std file.pif | Standard deviation map file.

Bsoft version 2.0.3-20180917 (64 bit)